at.chipkarte.client.fus.soap

## Class VODaten

- Object
- - at.chipkarte.client.fus.soap.VODaten

-     public class VODaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für das VO Formular.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VODaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBewilligungstyp()` Bewilligungstyp.
    `String` | `getDatum()` Datum.
    `String` | `getEmailAdresse()` e-Mail Adresse des Patienten.
    `String` | `getNotiz()` Notiz.
    `String` | `getTelefonnummer()` Telefonnummer des Patienten.
    `void` | `setBewilligungstyp(String bewilligungstyp)`
    `void` | `setDatum(String datum)`
    `void` | `setEmailAdresse(String emailAdresse)`
    `void` | `setNotiz(String notiz)`
    `void` | `setTelefonnummer(String telefonnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VODaten

          public VODaten()

  - ### Method Detail

    - #### getDatum

          public String getDatum()

      Datum.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        Datum.

    - #### setDatum

          public void setDatum(String datum)

    - #### getNotiz

          public String getNotiz()

      Notiz.
      Angabe: Kann.
      Format: mindestens 2-stellig, maximal 1000-stellig
      Returns:
        Notiz.

    - #### setNotiz

          public void setNotiz(String notiz)

    - #### getTelefonnummer

          public String getTelefonnummer()

      Telefonnummer des Patienten.
      Angabe: Kann.
      Format: 70-stellig
      Wert: erlaubte Zeichen: 0-9,/,-,+,\,(,),Leerzeichen
      Returns:
        Telefonnummer.

    - #### setTelefonnummer

          public void setTelefonnummer(String telefonnummer)

    - #### getEmailAdresse

          public String getEmailAdresse()

      e-Mail Adresse des Patienten.
      Angabe: Kann.
      Format: 70-stellig
      Wert: Mindestens 1 Zeichen das kein @ ist, gefolgt von einem @, gefolgt von mindestens 1 Zeichen das kein @ ist.
      Returns:
        EmailAdresse.

    - #### setEmailAdresse

          public void setEmailAdresse(String emailAdresse)

    - #### getBewilligungstyp

          public String getBewilligungstyp()

      Bewilligungstyp.
      Mögliche Werte siehe `BewilligungstypConstants`.
      Angabe: Muss.
      Returns:
        Bewilligungstyp.

    - #### setBewilligungstyp

          public void setBewilligungstyp(String bewilligungstyp)